# Uses of Interface
org.eclipse.emf.cdo.common.protocol.CDODataInput

Packages that use CDODataInput
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDODataInput in org.eclipse.emf.cdo.common.branch

Constructors in org.eclipse.emf.cdo.common.branch with parameters of type CDODataInput
Modifier
Constructor
Description
``
`CDOBranchPointRef(CDODataInput in)`
``
`CDOBranchRef(CDODataInput in)`

## Uses of CDODataInput in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id with parameters of type CDODataInput
Modifier and Type
Method
Description
`static CDOID`
CDOIDUtil.`read(CDODataInput in)`
Constructors in org.eclipse.emf.cdo.common.id with parameters of type CDODataInput
Modifier
Constructor
Description
``
`CDOIDReference(CDODataInput in)`

## Uses of CDODataInput in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model with parameters of type CDODataInput
Modifier and Type
Method
Description
`abstract Object`
CDOType.Handler.`readValue(CDODataInput in)`
`Object`
CDOType.`readValue(CDODataInput in)`
Constructors in org.eclipse.emf.cdo.common.model with parameters of type CDODataInput
Modifier
Constructor
Description
``
`CDOClassifierRef(CDODataInput in)`

## Uses of CDODataInput in org.eclipse.emf.cdo.common.protocol

Constructors in org.eclipse.emf.cdo.common.protocol with parameters of type CDODataInput
Modifier
Constructor
Description
``
`CommitData(CDODataInput in)`
``
`CommitNotificationInfo(CDODataInput in)`

## Uses of CDODataInput in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDODataInput
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`
Constructors in org.eclipse.emf.cdo.common.util with parameters of type CDODataInput
Modifier
Constructor
Description
``
`CDOFetchRule(CDODataInput in, CDOPackageRegistry packageManager)`

## Uses of CDODataInput in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
IStoreAccessor.Raw.`rawImport(CDODataInput in, int fromBranchID, int toBranchID, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deserializes backend data that has been serialized by the `rawExport()` method of a different instance of the same implementation of `raw store accessor`.

## Uses of CDODataInput in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
IIDHandler.`rawImport(Connection connection, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor fork)`
`Collection<InternalCDOPackageUnit>`
IMetaDataManager.`rawImport(Connection connection, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDODataInput in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
IMappingStrategy.`rawImport(IDBStoreAccessor accessor, CDODataInput in, long fromCommitTime, long toCommitTime, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.common

Methods in org.eclipse.emf.cdo.spi.common with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
CDORawReplicationContext.`replicateRaw(CDODataInput in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDODataInput
Modifier and Type
Method
Description
`static CDOBranchPoint`
CDOBranchUtil.`readBranchPointOrNull(CDODataInput in)`
`static CDOBranchPointRange`
CDOBranchUtil.`readRange(CDODataInput in)`
`static CDOBranchPointRange`
CDOBranchUtil.`readRangeOrNull(CDODataInput in)`
Constructors in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDODataInput
Modifier
Constructor
Description
``
`BranchInfo(CDODataInput in)`
``
`SubBranchInfo(CDODataInput in)`

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
InternalCDOPackageInfo.`read(CDODataInput in)`
`void`
InternalCDOPackageUnit.`read(CDODataInput in, ResourceSet resourceSet)`

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.common.protocol

Classes in org.eclipse.emf.cdo.spi.common.protocol that implement CDODataInput
Modifier and Type
Class
Description
`class`
`CDODataInputImpl`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDODataInputImpl.Default`
A concrete subclass of `CDODataInputImpl`.

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDODataInput
Modifier and Type
Method
Description
`protected InternalCDORevision`
RevisionInfo.`doReadResult(CDODataInput in)`
Deprecated.
Not called anymore by the framework
`void`
BaseCDORevision.`read(CDODataInput in)`
`void`
DelegatingCDORevision.`read(CDODataInput in)`
`void`
InternalCDORevision.`read(CDODataInput in)`
`static RevisionInfo`
RevisionInfo.`read(CDODataInput in, CDOBranchPoint requestedBranchPoint)`
`void`
StubCDORevision.`read(CDODataInput in)`
`void`
RevisionInfo.`readResult(CDODataInput in)`
`static InternalCDORevision`
RevisionInfo.`readResult(CDODataInput in, CDOID id, CDOBranch branch)`
`protected void`
RevisionInfo.Available.`readRevision(CDODataInput in)`
`protected void`
RevisionInfo.`readRevision(CDODataInput in)`
`protected void`
BaseCDORevision.`readSystemValues(CDODataInput in)`
`boolean`
BaseCDORevision.`readValues(CDODataInput in)`
`boolean`
DelegatingCDORevision.`readValues(CDODataInput in)`
`boolean`
InternalCDORevision.`readValues(CDODataInput in)`
`boolean`
StubCDORevision.`readValues(CDODataInput in)`
Constructors in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDODataInput
Modifier
Constructor
Description
`protected`
`Available(CDODataInput in, CDOBranchPoint requestedBranchPoint)`
`protected`
`RevisionInfo(CDODataInput in, CDOBranchPoint requestedBranchPoint)`

## Uses of CDODataInput in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDODataInput
Modifier and Type
Method
Description
`void`
InternalCommitManager.`preCommit(InternalCommitContext commitContext, CDODataInput in, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Create a future to execute commitContext in a different thread.

## Uses of CDODataInput in org.eclipse.emf.spi.cdo

Constructors in org.eclipse.emf.spi.cdo with parameters of type CDODataInput
Modifier
Constructor
Description
``
`OpenSessionResult(CDODataInput in, int sessionID)`